de.esprit.netsuite.netdata.agent

## Interface TimeMeasurable

- All Known Subinterfaces:
    Agent<C,S>, AsyncAgent<C,S>, LoginAgent<C,S>
  All Known Implementing Classes:
    ABOAccessInfoAgent, ABOCreateAgent, ABODeleteAgent, ABODropAgent, ABOFetchAgent, ABOFindAgent, ABOInfoAgent, ABOUpdateAgent, AbstractAgent, AbstractCommonAgent, AbstractDBAgent, AbstractGroupChangeAgent, AbstractInternalAgent, AbstractLockableAgent, AbstractLoginAgent, AbstractSequencedAgent, AbstractSessionChangeAgent, AbstractTestAgent, AbstractTextViewAgent, AbstractUserChangeAgent, AssignPermissionsAgent, BatchTaskConfigListAgent, BatchTaskConfigSaveAgent, CancelBatchProcessAgent, ChangePasswordAgent, ChatMessageAgent, ClientCommandAgent, ClientInfoUpdateAgent, ClientMessageAgent, CoClientConnectionListAgent, CoServerConnectionListAgent, CoServerExecuteAgent, CoServerFileTransferAgent, CoServerFileTransferCancelAgent, CoServerInfoAgent, CpuLoadConfigAgent, DataSourceListAgent, DBDeleteAgent, DBInsertAgent, DBLoadAgent, DBRehashAgent, DBSelectAgent, DBStoreAgent, DBUpdateAgent, DefaultLoginAgent, DefaultPasswordConfigAgent, DeleteDirectoryAgent, DeleteFileAgent, EmailConfigAgent, EventMessageTypeInfoAgent, EventMessageTypeRegisterAgent, EverBlockingSyncAgent, EverSleepingAsyncAgent, EverWorkingAsyncAgent, ExFileSetTransferAgent, ExFileTransferAgent, ExMixedFileTransferAgent, ExStreamDownloadAgent, FailingAgent, FileEditAgent, FileInfoAgent, FileListAgent, FileReadAgent, FileStoreAgent, FileStreamDownloadAgent, FileTransferAgent, GenerateLogMessagesAgent, GetAssignedPermissionsAgent, GetGroupsAgent, GetGroupsOfUserAgent, GetPathFilterAgent, GetPermissionDefinitionsAgent, GetRootPathInfoAgent, GetRunningRemoteTasksAgent, GetSessionsAgent, GetUserIdsAgent, GetUsersAgent, GetUsersOfGroupAgent, GroupCreateAgent, GroupDeleteAgent, GroupUpdateAgent, HeavyLoadAgent, HeavyLoggingAgent, JournalTaskDeregisterAgent, JournalTaskListAgent, LoadChildrenAgent, LoadTextFileSequencedAgent, LockAcquireAgent, LockDataSourcePoolAgent, LockFindAgent, LockInfoAgent, LockReleaseAgent, LockRetriggerAgent, LogConfigAgent, LogDirListAgent, LogFileListAgent, MemoryEatingAgent, MessageBurstAgent, MessageBurstSequencedAgent, NewLogFileAgent, NoOperationAgent, NoReturnAsyncAgent, PartialResultAsyncAgent, PartialResultSplitAgent, PartialResultSyncAgent, ProbeDataSourceAgent, ProcessConfigReadAgent, ProcessStartAgent, PurgeDirectoryAgent, ReadLogFileAgent, RegisterForProgressEventsAgent, RemoteTaskCancelAgent, RemoteTaskProgessSwitchAgent, RemoteTaskReleaseAgent, RemoteTaskRunStateFlagAgent, RemoteTasksInfoAgent, RemoteTaskStartAgent, RenamePathAgent, ResetPasswordAgent, ResetPathWatcherAgent, RoundTripAgent, SelectDataSourceAgent, SendServerMessageAgent, SequencedParamAgent, ServerActivityInfoAgent, ServerLogMessageAgent, ServerLogTestAgent, ServerMemoryCleanupAgent, ServerParamsInfoAgent, ServerShutdownAgent, ServerStartupInfoAgent, ServerStatisticsInfoAgent, ServerStatisticsRefreshAgent, SessionInfoAgent, SessionKillAgent, SessionResetAgent, SetClientLogLevelAgent, SetGroupMembersAgent, SetPathFilterAgent, TestServerExceptionAgent, ThreadPoolInfoAgent, TimeCompareAgent, TransfersRunningListAgent, UserCreateAgent, UserDeleteAgent, UserUpdateAgent

      public interface TimeMeasurable

  This interface defines what is necessary to measure the times relevant in an agent
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getProcessingDuration()` Returns the time (in millis) it has taken to process the agent on server side.
    `long` | `getReceivedTime()` Tells when the agent was received by the client
    `long` | `getSentTime()` Tells when the agent was sent by the client
    `long` | `getTotalDuration()` Returns the time (in millis) it has taken from sending to finishing postprocessing of the agent.
    `long` | `getTransferDuration()` Returns the time (in millis) it has taken from sending to receiving the agent.
    `void` | `setReceivedTime(long millis)` Is called by the client when the agent is received
    `void` | `setSentTime(long millis)` Is called by the client when the agent is sent

- - ### Method Detail

    - #### setSentTime

          void setSentTime(long millis)

      Is called by the client when the agent is sent

    - #### setReceivedTime

          void setReceivedTime(long millis)

      Is called by the client when the agent is received

    - #### getSentTime

          long getSentTime()

      Tells when the agent was sent by the client

    - #### getReceivedTime

          long getReceivedTime()

      Tells when the agent was received by the client

    - #### getProcessingDuration

          long getProcessingDuration()

      Returns the time (in millis) it has taken to process the agent on server side.

    - #### getTransferDuration

          long getTransferDuration()

      Returns the time (in millis) it has taken from sending to receiving the agent.

    - #### getTotalDuration

          long getTotalDuration()

      Returns the time (in millis) it has taken from sending to finishing postprocessing of the agent.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.